const API = require("../../lib/API");
const { BaseStdResponse } = require("../../BaseStdResponse");

class GetAppVersion extends API {
    constructor() {
        super();

        this.setPath('/Public/GetAppVersion')
        this.setMethod('GET')
    }

    async onRequest(req, res) {
        res.json({
            ...BaseStdResponse.OK,
            data: {
                version: '1.7',
                msg: '\n更新内容：\n1.自动乐跑支持设定乐跑目标次数，达到目标次数后将不再自动乐跑\n2.修复部分用户无法添加乐跑账号的问题\n'
            }
        })
    }
}

module.exports.GetAppVersion = GetAppVersion